---------------------------------------------------------------------------
-- Voxelis - Voxel survival sandbox for Luanti
-- Copyright (C) 2024 Mad Star Studio LLC
-- 
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- You should have received a copy of the GNU General Public License along
-- with this program; if not, see <http://www.gnu.org/licenses/>.
---------------------------------------------------------------------------

-- This file is intended as the primary entry point for the game.

core.register_node("vox_main:grass", {
    description = "Grass",
    tiles = {"vox_main_grass.png"},
    groups = {cracky = 3}
})
core.register_alias("grass", "vox_main:grass")

core.register_biome({
    name = "grassland",
    node_top = "vox_main:grass",
    depth_top = 1,
    node_filler = "vox_main:grass",
    depth_filler = 3,
    node_stone = "vox_main:grass",
    height_min = 1,
    height_max = 4,
    heat_point = 50,
    humidity_point = 50
})